
import java.util.*;

public class SimpleDictionary implements Dictionary
{

   private WordRecord list[];
   private int size;
   public static final int MAX = 10;

   public SimpleDictionary()
   {
      list = new WordRecord[10];
      size = 0;
   }

   public void addWord( String w, String d )
   {
      WordRecord temp = new WordRecord( w, d );
      list[size++] = temp;
   }

   public String getDefinition( String w )
   {
       for( int i = 0; i < size; i++ )
       {
          WordRecord temp = list[i];
          if ( w.equals( temp.getWord() ) )
          {
             return temp.getDefinition();
          }
       }
       return null;
   }

}
